# webdeck-docker-compose

docker-compose.yml für OBS-Webdeck

<h2>Beschreibung:</h2>

Webdeck ist eine Weboberfläche für obs-cli. Auf diese Weise kann OBS-Studio ferngesteuert werden, ohne App, ohne den Kauf eines OBS-Decks von jedem System mit Webbrowser wie Vivaldi, Brave, Chromium usw.

<h3>Version 0.1.0:</h3>

- Aufnahme starten, stoppen und pausieren
- Wechseln der vorhandenen Szenen
- Anzeige der Aufnahmedauer

<h2>Voraussetzung:</h2>

- docker
- docker-compose
- obs-websocket (< Version 5)

Die Datei /etc/docker/daemon.json muss editiert, oder erstellt werden. Folgendes muss hinzugefügt werden:

<div class="snippet-clipboard-content notranslate position-relative overflow-auto"><pre class="notranslate"><code>{
        "insecure-registries": ["docker.projekt-hirnfrei.de:6000"]
}
</code></pre></div>

Danach muss docker neu gestartet werden.

<h2>Installation:</h2>

Nach dem clonen des Repositories muss die Datei docker-compose.yml bearbeitet werden.

Folgende Umgebungsvariablen sind gesetzt:

<div class="snippet-clipboard-content notranslate position-relative overflow-auto"><pre class="notranslate"><code>IP: [IP des Rechners auf dem OBS-Studio läuft]
PORT: [Port von OBS-Studio]
</code></pre></div>
Diese müssen durch die IP des Computers, auf dem OBS-Studio läuft und dem eingestellten Port ersetzt werden.

Die Umgebungsvariable

<div class="snippet-clipboard-content notranslate position-relative overflow-auto"><pre class="notranslate"><code>PASS: [Passwort]
</code></pre></div>
kann mit dem eingestellten Passwort von obs-websocket optional hinzugefügt werden.

Anschliessend in dem Verzeichnis, in dem sich die Datei docker-compose.yml befindet wechseln und folgenden Befehl ausführen:

<div class="snippet-clipboard-content notranslate position-relative overflow-auto"><pre class="notranslate"><code>sudo docker-compose pull
</code></pre></div>

Damit wird das Image von OBS-Webdeck installiert.

Zum starten wird folgender Befehl in dem Verzeichnis, in welchem sich docker-compose.yml befindet, ausgeführt:

<div class="snippet-clipboard-content notranslate position-relative overflow-auto"><pre class="notranslate"><code>sudo docker-compuse up
</code></pre></div>

Im Anschluss kann OBS-Webdeck von jedem Browser im Netzwerk aufgerufen werden unter der Adresse:

<div class="snippet-clipboard-content notranslate position-relative overflow-auto"><pre class="notranslate"><code>http://[eingestellte IP]:[eingestellter Port]/code></pre></div>

Zum stoppen reicht STRG+C.

